# Interface IPersistable

All Known Subinterfaces:
  `IAggregateWorkingSet, IConsoleView, IDebugView, IPersistableEditor, IPersistableElement, ISearchResultViewPart, ISynchronizeView, IViewPart, IWorkingSet`

All Known Implementing Classes:
  `AbstractDebugView, AbstractDecoratedTextEditor, AbstractTextEditor, AbstractWorkingSet, AggregateWorkingSet, CommonNavigator, ContentOutline, E4PartWrapper, ErrorViewPart, org.eclipse.ui.internal.views.markers.ExtendedMarkersView, FileEditorInput, FileInPlaceEditorInput, FileStoreEditorInput, MarkerSupportView, PageBookView, ProjectExplorer, PropertySheet, StatusTextEditor, TemplatesView, TextEditor, ViewIntroAdapterPart, ViewPart, WorkingSet`

public interface IPersistable
Objects implementing this interface are capable of saving their state in an `IMemento`.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`saveState(IMemento memento)`
Saves the state of the object in the given memento.

## Method Details

### saveState

void saveState(IMemento memento)
Saves the state of the object in the given memento.

Parameters:
  `memento` - the storage area for object's state